%define preversion pre25

Summary: Wireless ethernet configuration tools
Group: System Environment/Base
License: GPL
Name: wireless-tools
Version: 27
Release: 0.%{preversion}.4.EL4
Epoch: 1
URL: http://www.hpl.hp.com/personal/Jean_Tourrilhes/Linux/Tools.html
Source: http://pcmcia-cs.sourceforge.net/ftp/contrib/wireless_tools.%{version}.%{preversion}.tar.gz
Patch1: wireless-tools-25-makefile.patch
Patch2: wireless-tools-27-scan-leak-fix.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
ExcludeArch: s390 s390x

%description
This package contain the Wireless tools, used to manipulate
the Wireless Extensions. The Wireless Extension is an interface
allowing you to set Wireless LAN specific parameters and get the
specific stats for wireless networking equipment. 

%prep
%setup -n wireless_tools.%{version}
%patch1 -p1 -b .makefile
%patch2 -p1 -b .scan-leak-fix

%build
make clean
make OPT_FLAGS="$RPM_OPT_FLAGS" BUILD_SHARED=1 FORCE_WEXT_VERSION=16

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT{/sbin,/%{_lib},%{_mandir}/man8,%{_includedir},%{_libdir}}

make install INSTALL_DIR=$RPM_BUILD_ROOT/sbin \
	INSTALL_LIB=$RPM_BUILD_ROOT/%{_lib} \
	INSTALL_INC=$RPM_BUILD_ROOT%{_includedir} \
	INSTALL_MAN=$RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT/%{_lib}/libiw.a
ln -sf /%{_lib}/libiw.so.%{version} $RPM_BUILD_ROOT%{_libdir}/libiw.so

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc INSTALL README DISTRIBUTIONS.txt
/sbin/*
%{_mandir}/man*/*
%{_includedir}/*
%{_libdir}/*.so
/%{_lib}/*.so.*

%changelog
* Mon Nov 29 2004 Dan Williams <dcbw@redhat.com> 27-0.pre25-4
- Fix massive leak in iw_process_scan()

* Mon Sep 27 2004 Rik van Riele <riel@redhat.com> 27-0.pre25-2
- compile with RPM_OPT_FLAGS (bz#133651)

* Tue Aug 31 2004 Bill Nottingham <notting@redhat.com> 27-0.pre25.1
- update to 27.pre25

* Wed Jun 23 2004 Dan Williams <dcbw@redhat.com>
- Upgrade to 27.pre23 to get new wireless scanning API

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Mar 15 2004 Bill Nottingham <notting@redhat.com>
- force wireless extensions to current (#115707)

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Aug 31 2003 Bill Nottingham <notting@redhat.com> 26-2
- rebuild in different environment (#103475)

* Sun Aug 10 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- release 26

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Sun Mar 09 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- also change destination of the symlink

* Mon Feb 17 2003 Bill Nottingham <notting@redhat.com> 25-8
- fix symlink (#84021)

* Mon Feb 10 2003 Bill Nottingham <notting@redhat.com> 25-7
- fix symlink (#84021)

* Fri Feb  7 2003 Bill Nottingham <notting@redhat.com> 25-6
- remove broken specfile defines, fix makefile (#82423)

* Wed Feb  5 2003 Bill Nottingham <notting@redhat.com> 25-5
- rebuild against new glibc-kernheaders (#82423)

* Fri Jan 31 2003 Elliot Lee <sopwith@redhat.com> 25-4
- Fix for multilib, and fix the .so symlink location.

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Wed Dec 11 2002 Tim Powers <timp@redhat.com> 25-2
- rebuild on all arches

* Mon Aug 26 2002 Trond Eivind Glomsrd <teg@redhat.com> 25-1
- v25 - fixes encryption usage display, eternal loops for unknown 
  events and matches the v13 wireless extensions as shipped in
  kernel (#72582)

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Jun 20 2002 Trond Eivind Glomsrd <teg@redhat.com> 24-1
- v24

* Thu May 23 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Mar 21 2002 Bill Nottingham <notting@redhat.com> 23-2
- rebuild against new headers

* Thu Feb 28 2002 Elliot Lee <sopwith@redhat.com> 23-1
- Update to version 23, with associated fixes.

* Sun Jul  8 2001 Bill Nottingham <notting@redhat.com>
- rebuild against new kernel

* Tue Jun 19 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- add ExcludeArch: s390 s390x

* Sun Apr 22 2001 Bill Nottingham <notting@redhat.com>
- update to version 21

* Wed Feb 14 2001 Bill Nottingham <notting@redhat.com>
- fix build with glibc-2.2
- also, rebuild so it no longer dumps core. :)

* Tue Dec 05 2000 Florian La Roche <Florian.LaRoche@redhat.de>
- added a clean section in the spec file

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Fri Mar 10 2000 Bill Nottingham <notting@redhat.com>
- initial build
